import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';
import 'package:syncrow_web/utils/extension/build_context_x.dart';

class TitleRoutine extends StatelessWidget {
  const TitleRoutine({
    super.key,
    required this.title,
    required this.subtitle,
  });

  final String title;
  final String subtitle;

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisSize: MainAxisSize.min,
      children: [
        Text(
          title,
          style: context.textTheme.titleLarge?.copyWith(
            color: ColorsManager.greyColor,
          ),
        ),
        const SizedBox(
          width: 4,
        ),
        Text(
          subtitle,
          style: context.textTheme.titleLarge?.copyWith(
            color: ColorsManager.greyColor,
          ),
        ),
      ],
    );
  }
}
